Invalidate response cache

POST https://{controlplane_path}/api/1/rest/public/apim/invalidate_response_cache       

Overview

Invalidate the response cache for APIs. The HTTP Response Cache policy caches the response data according to its specific settings and configuration. To ensure only valid and accurate data is cached, the API administrator uses this API to invalidate unneeded cached data.

Note:
  • You can manually remove the cached data by disabling, saving or deleting the policy from the API Manager. All the Snaplexes are cleared from the in-cache memory with manual removal of cached data.
  • The cache invalidation mechanism monitors changes in the data source and updates the cache accordingly to ensure consistency.
Important: This page describes a Classic APIM API.

Prerequisites

  • Environment (Org) admin permissions

Request

 POST https://{controlplane_path}/api/1/rest/public/apim/invalidate_response_cache 

Example

This example uses basic authentication. For a JWT example, refer to Authentication.

curl -X 'POST' \
  'https://elastic.snaplogic.com/api/1/rest/public/apim/invalidate_response_cache' \
  -H 'Authorization: Basic {base64_encoded email:password}' \
  -H 'Content-Type: application/json' \
  -d '{
  "asset_path": "acme/apim/BookStore",
  "plex_path": "/acme/shared/my-snaplex"
}'

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com

Query parameters

None.

Request header

Use the application/json content type with basic authentication (email and password) or a JWT. For examples, refer to Authentication.

Request body


{
    "asset_path": "orgname/apim/proxypath",
    "plex_path": "/orgname/shared/snaplexname"
}
        
Key Type Description
asset_path string Path to the assets in either an API version or API proxy.
plex_path string Path to the Snaplex.
Note: This API cannot be used to specify multiple Snaplex paths.
Note: The path is case-sensitive.

Response


{
  "response_map": {
    "status": {
      "/orgname/shared/snaplexname": {
        "invalidated": true
      }
    },
    "asset_path": "orgname/apim/proxypath"
  },
  "http_status_code": 200
}
        
Key Type Description
/orgname/shared/snaplexname string The Snaplex path.
invalidated boolean
  • If the value is true, then the cache data is invalidated.
  • If the value is false, the cache is not invalidated.
asset_path string The path to the asset.

Error handling


{
    "http_status_code": 404,
    "response_map": {
        "error_list": [
            {
                "message": "Could not find the specified plex path: /orgname/shared/snaplexname"
            }
        ]
    }
}
HTTP status codes Message Resolution
404 { "message": "Could not find the specified plex path: /Org1/shared/Cloud" }
  • Verify you have entered a valid Snaplex.
  • Verify the Snaplex is in the global shared folder.